Bug 1810438 - Installation logs are not gathered from OCP nodes
Summary: Installation logs are not gathered from OCP nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Evgeny Slutsky
QA Contact: michal
URL:
Whiteboard:
Depends On: 1764804
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-05 09:07 UTC by Jan Zmeskal
Modified: 2021-02-24 15:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:10:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4524 0 None closed Bug 1810438: oVirt: Add missing piece for gathering bootstrap IP info 2021-02-18 15:35:39 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:11:46 UTC

Description Jan Zmeskal 2020-03-05 09:07:52 UTC
Description of problem:
During openshift-install execution must-gather sub-command doesn't work. The reason is the lack of IP address info on RHCOS, which means terraform (which uses ovirt SDK) doesn't report it back.
The impact is it's harder to troubleshoot installation issues.

Version-Release number of the following components:
./openshift-install v4.4.0
built from commit e172a64692cfcb7d9ec37c2b80dfcecd46cd6d22
release image quay.io/openshift-release-dev/ocp-release-nightly@sha256:3847bc93c5447e31a610349034484e30b2377c8e33c015f1a0b87d349794eb75

How reproducible:
100 %

Steps to Reproduce:
1. Run openshift-install create cluster
2. Wait for installation to finish

Actual results:
There's an error about installation program not being able to gather install logs

Comment 5 Sandro Bonazzola 2020-06-18 06:50:25 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 6 Douglas Schilling Landgraf 2020-07-09 12:20:26 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 7 Evgeny Slutsky 2020-09-10 12:11:24 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 8 Sandro Bonazzola 2020-10-22 11:24:46 UTC
due to capacity constraints we will be revisiting this bug in the upcoming sprint

Comment 9 Sandro Bonazzola 2020-12-03 12:13:43 UTC
Moving to next sprint, still waiting for RHCOS to ship qemu-guest-agent.
Depends on https://issues.redhat.com/browse/OCPRHV-44

Comment 10 Micah Abbott 2020-12-03 18:35:18 UTC
See RHBZ#1900759

qemu-guest-agent is part of RHCOS 4.7 as of 47.83.202012022128-0

Included in 4.7.0-0.nightly-2020-12-03-103850

Comment 11 Evgeny Slutsky 2021-01-19 13:11:35 UTC
the terraform couldn't be aware of the nodes IP address, this PR [1]  is  using is oVirt SDK to contact the engine and gather the IP information (which was reported by the qemu-agent) 

[1] https://github.com/openshift/installer/pull/4524

Comment 15 michal 2021-01-31 18:34:34 UTC
verify on: 
ocp - openshift-install-linux-4.7.0-0.nightly-2021-01-31-031653
rhv- 4.4.4.7-0.1.el8ev

steps: 
1) install ocp- ipi installtion - (with incorrect pull-secret)
2) after instlation fails, open install folder (for example - 'resources' or 'test1')

or: 
manually invoking `openshift-install gather bootstrap` on the bootstrap failed installation.

results: 
after installation failure on bootstrap phase, log-bundle-XXXXX.tar.gz created on the install folder

Comment 18 errata-xmlrpc 2021-02-24 15:10:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.